<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum StudentStatus: string
{
    use HasValues;

    case Active = 'active';
    case OnLeave = 'on_leave';
    case Graduated = 'graduated';
    case DroppedOut = 'dropped_out';

    public function label(): string
    {
        return match ($this) {
            self::Active => 'Aktif',
            self::OnLeave => 'Cuti',
            self::Graduated => 'Lulus',
            self::DroppedOut => 'Drop Out',
        };
    }
}
